| Kea 3.0.2-git

edns.h File Reference
`#include <util/buffer.h>`
`#include <stdint.h>`
`#include <boost/shared_ptr.hpp>`
`#include <ostream>`
`#include <dns/rdata.h>`
Include dependency graph for edns.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dns::EDNS
| The `EDNS` class represents the EDNS OPT RR defined in RFC2671. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dns

## Typedefs
typedef boost::shared_ptr< const EDNS > | isc::dns::ConstEDNSPtr
| A pointer-like type pointing to an immutable `EDNS` object.
typedef boost::shared_ptr< EDNS > | isc::dns::EDNSPtr
| A pointer-like type pointing to an `EDNS` object.

## Functions
EDNS * | isc::dns::createEDNSFromRR (const Name &name, const RRClass &rrclass, const RRType &rrtype, const RRTTL &ttl, const rdata::Rdata &rdata, uint8_t &extended_rcode)
| Create a new `EDNS` object from a set of RR parameters, also providing the extended RCODE value.
ostream & | isc::dns::operator<< (std::ostream &os, const EDNS &edns)
| Insert the `EDNS` as a string into stream.